Tag - customization

LISP helps you make BricsCAD your own

The Case for Using LISP Today, Part 2

Copy & rotate the easy way with LISP In contrast to the .NET example I pointed you to in the last episode of this blog, here is a simple example of a LISP command used to Copy & Rotate objects: (defun c:copyrotate (/ slset pt1 pt2) (prompt...

LISP helps you make BricsCAD your own

The Case for Using LISP Today, Part 1

LISP: What is old is still very new Welcome to Part 1 of my first post on the Bricsys Blog! I’ll be writing about LISP programming and transitioning your existing code into the BricsCAD environment. I’ll review implementation, differences from other...

drawing_views_3D

Generate drawing views in BricsCAD

Drawing views from any 3D model In BricsCAD, you can generate drawing views from any 3D model. These views are updated automatically when the original model is changed. Base View Use the “base views” command to generate 2D drawing views...

Shotcut Menu Tutorial BricsCAD

Customizing shortcut menus

Choose the commands you want to have within reach BricsCAD has the ability to customize your shortcut menu when you right click on an entity. You can edit them by right clicking on your toolbar and choose Customize. Then you’ll find the...